async function fetchWorkouts(ordering) {
  let response = await sendRequest(
    "GET",
    `${HOST}/api/workouts/?ordering=${ordering}`
  );

  if (!response.ok) {
    throw new Error(`HTTP error! status: ${response.status}`);
  } else {
    let data = await response.json();
    let workouts = data.results;

    return workouts;
  }
}
function isLastWeek(date) {
  let lastWeek = new Date();
  let today = new Date();
  let past = lastWeek.getDate() - 7;
  lastWeek.setDate(past);
  console.log(today);
  return date >= lastWeek && date <= today;
}
function isLastMonth(date) {
  let lastMonth = new Date();
  let today = new Date();
  let past = lastMonth.getDate() - 30;
  lastMonth.setDate(past);
  return date >= lastMonth && date <= today;
}
function isLastYear(date) {
  let lastYear = new Date();
  let today = new Date();
  let past = lastYear.getDate() - 365;
  lastYear.setDate(past);
  return date >= lastYear && date <= today;
}

window.addEventListener("DOMContentLoaded", async () => {
  let ordering = "-date";
  let sevenDays = 0;
  let thirtyDays = 0;
  let threeSixtyFive = 0;

  let currentUser = await getCurrentUser();
  if (ordering.includes("owner")) {
    ordering += "__username";
  }
  let workouts = await fetchWorkouts(ordering);

  console.log(workouts.length);
  for (let i = 0; i < workouts.length; i++) {
    let workout = workouts[i];

    let d = workout.date;
    let wDate = new Date(d.slice(0, 4), d.slice(5, 7) - 1, d.slice(8, 10));
    console.log("last week", isLastWeek(wDate));
    console.log("last month", isLastMonth(wDate));
    console.log("last year", isLastYear(wDate));

    if (workout.owner == currentUser.url) {
      if (isLastWeek(wDate)) {
        sevenDays++;
      }

      if (isLastMonth(wDate)) {
        thirtyDays++;
      }
      if (isLastYear(wDate)) {
        threeSixtyFive++;
      }
    }

    document.getElementById("week").innerHTML = sevenDays;
    document.getElementById("month").innerHTML = thirtyDays;
    document.getElementById("year").innerHTML = threeSixtyFive;

    console.log(sevenDays, thirtyDays, threeSixtyFive);
  }
});
